Package org.gradle.api.artifacts.component

# Interface ProjectComponentSelector

All Superinterfaces:
  `ComponentSelector`

public interface ProjectComponentSelector extends ComponentSelector
Criteria for selecting a component instance that is built as part of the current build.

Since:
  1.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBuildPath()`
  Absolute build path of the build within the Gradle invocation to select a project from.
  `String`
  `getProjectPath()`
  The path of the project to select the component from.

  ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentSelector

  `getAttributes, getCapabilitySelectors, getDisplayName, getRequestedCapabilities, matchesStrictly`

- ## Method Details

  - ### getBuildPath

    String getBuildPath()
    Absolute build path of the build within the Gradle invocation to select a project from.
    Since:
      8.2

  - ### getProjectPath

    String getProjectPath()
    The path of the project to select the component from.
    Returns:
      Project path
    Since:
      1.10